package com.gingersoft.supply_chain.mvp.bean;

import java.util.List;

/**
 * @author 宇航. 1239658231@qq.com
 * User: admin
 * Date: 2021/5/12
 * Time: 14:52
 * Use:
 */
public class SnInOutBoundRecordDetailsBean {

    private List<ConsumeDetailsBean> consumeDetails;
    private List<InventoryDetailsBean> inventoryDetails;

    public List<ConsumeDetailsBean> getConsumeDetails() {
        return consumeDetails;
    }

    public void setConsumeDetails(List<ConsumeDetailsBean> consumeDetails) {
        this.consumeDetails = consumeDetails;
    }

    public List<InventoryDetailsBean> getInventoryDetails() {
        return inventoryDetails;
    }

    public void setInventoryDetails(List<InventoryDetailsBean> inventoryDetails) {
        this.inventoryDetails = inventoryDetails;
    }

    public static class ConsumeDetailsBean {
        /**
         * consumeType : 退貨消耗
         * createTime : 1620802300554
         * orderNo : DN20211051294171381
         * remarks : 哈哈哈哈
         * uid : 397
         * userName : wyh
         */

        private String consumeType;
        private long createTime;
        private String orderNo;
        private String remarks;
        private int uid;
        private String userName;

        public String getConsumeType() {
            return consumeType;
        }

        public void setConsumeType(String consumeType) {
            this.consumeType = consumeType;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public String getOrderNo() {
            return orderNo;
        }

        public void setOrderNo(String orderNo) {
            this.orderNo = orderNo;
        }

        public String getRemarks() {
            return remarks;
        }

        public void setRemarks(String remarks) {
            this.remarks = remarks;
        }

        public int getUid() {
            return uid;
        }

        public void setUid(int uid) {
            this.uid = uid;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }
    }

    public static class InventoryDetailsBean {
        /**
         * storageType : 調撥入庫
         * createTime : 1620696962112
         * orderNo : RK202105111037773
         * remarks :
         * uid : 397
         * userName : wyh
         */

        private String storageType;
        private long createTime;
        private String orderNo;
        private String remarks;
        private int uid;
        private String userName;

        public String getStorageType() {
            return storageType;
        }

        public void setStorageType(String storageType) {
            this.storageType = storageType;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public String getOrderNo() {
            return orderNo;
        }

        public void setOrderNo(String orderNo) {
            this.orderNo = orderNo;
        }

        public String getRemarks() {
            return remarks;
        }

        public void setRemarks(String remarks) {
            this.remarks = remarks;
        }

        public int getUid() {
            return uid;
        }

        public void setUid(int uid) {
            this.uid = uid;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }
    }
}
